Package commonj.sdo.helper

# Interface TypeHelper

public interface TypeHelper
Look up a Type given the uri and typeName or interfaceClass. SDO Types are available through the getType("commonj.sdo", typeName) method. Defines Types from DataObjects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TypeHelper`
`INSTANCE`
The default TypeHelper.

## Method Summary

Modifier and Type
Method
Description
`Type`
`define(DataObject type)`
Define the DataObject as a Type.
`List`
`define(List types)`
Define the list of DataObjects as Types.
`Property`
`defineOpenContentProperty(String uri, DataObject property)`
Define the DataObject as a Property for setting open content.
`Property`
`getOpenContentProperty(String uri, String propertyName)`
Get the open content (global) Property with the specified uri and name, or null if not found.
`Type`
`getType(Class interfaceClass)`
Return the Type for this interfaceClass or null if not found.
`Type`
`getType(String uri, String typeName)`
Return the Type specified by typeName with the given uri, or null if not found.

## Field Details

### INSTANCE

static final TypeHelper INSTANCE
The default TypeHelper.

## Method Details

### getType

Type getType(String uri, String typeName)
Return the Type specified by typeName with the given uri, or null if not found.

Parameters:
  `uri` - The uri of the Type - type.getURI();
  `typeName` - The name of the Type - type.getName();
Returns:
  the Type specified by typeName with the given uri, or null if not found.

### getType

Type getType(Class interfaceClass)
Return the Type for this interfaceClass or null if not found.

Parameters:
  `interfaceClass` - is the interface for the DataObject's Type - type.getInstanceClass();
Returns:
  the Type for this interfaceClass or null if not found.

### getOpenContentProperty

Property getOpenContentProperty(String uri, String propertyName)
Get the open content (global) Property with the specified uri and name, or null if not found.

Parameters:
  `uri` - the namespace URI of the open content Property.
  `propertyName` - the name of the open content Property.
Returns:
  the global Property.

### define

Type define(DataObject type)
Define the DataObject as a Type. The Type is available through TypeHelper and DataGraph getType() methods.

Parameters:
  `type` - the DataObject representing the Type.
Returns:
  the defined Type.
Throws:
  `IllegalArgumentException` - if the Type could not be defined.

### define

List define(List types)
Define the list of DataObjects as Types. The Types are available through TypeHelper and DataGraph getType() methods.

Parameters:
  `types` - a List of DataObjects representing the Types.
Returns:
  the defined Types.
Throws:
  `IllegalArgumentException` - if the Types could not be defined.

### defineOpenContentProperty

Property defineOpenContentProperty(String uri, DataObject property)
Define the DataObject as a Property for setting open content. The containing Type of the open content property is not specified by SDO. If the specified uri is not null the defined property is accessible through TypeHelper.getOpenContentProperty(uri, propertyName). If a null uri is specified, the location and management of the open content property is not specified by SDO.

Parameters:
  `uri` - the namespace URI of the open content Property or null.
Returns:
  the defined open content Property.
Throws:
  `IllegalArgumentException` - if the Property could not be defined.